Skip to content
Browse files

slurm: Remove libmysqlclient from depends

The configure script will build MySQL support if it finds it, so
the dependency on libmysqlclient is optional (same with the postgres
libs).
  • Loading branch information...
1 parent 928cde0 commit b2adb5604d46544f3d687172fdb64fe14bc2d0c7 @alanorth committed Jul 13, 2013
Showing with 2 additions and 3 deletions.
  1. +2 −3 slurm-llnl/PKGBUILD
View
5 slurm-llnl/PKGBUILD
@@ -9,9 +9,9 @@ arch=('i686' 'x86_64')
license=('GPL')
url="http://www.schedmd.com"
groups=()
-depends=('python2' 'libmysqlclient>=5.0.0' 'postgresql-libs' 'munge' 'lua' 'hwloc')
+depends=('python2' 'munge' 'lua' 'hwloc')
makedepends=('openssl>=0.9.6' 'readline' 'lua')
-optdepends=('gtk2')
+optdepends=('gtk2' 'libmysqlclient>=5.0.0' 'postgresql-libs')
provides=(slurm)
conflicts=()
replaces=()
@@ -40,7 +40,6 @@ build() {
--sbindir=/usr/bin \
--sysconfdir=/etc/slurm \
--localstatedir=/ \
- --with-mysql \
--with-ssl \
--with-munge \
--with-readline

0 comments on commit b2adb56

Please sign in to comment.
Something went wrong with that request. Please try again.